<template>
    <div>
        <Head title="Dashboard" />

        <BreezeAuthenticatedLayout>
            <template #header>
                <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                    Prescriptions
                </h2>
            </template>
            <template #default>
<!--                <Table-->
<!--                    :table-body="prescriptions.data"-->
<!--                    :table-head="tableHead"-->
<!--                />-->
                <table class="table-auto w-full border-collapse border border-gray-200">
                    <thead>
                    <tr>
                        <th
                            class="border border-gray-200 p-3"
                            v-for="(name, index) in tableHead"
                            :key="index"
                        >
                            {{ name }}
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr
                        class="hover:bg-gray-50 cursor-pointer"
                        v-for="(prescription, index) in prescriptions.data"
                        :key="index"
                    >
                        <td class="border border-gray-200 p-3 text-center">
                            {{ prescription.name }}
                        </td>
                        <td class="border border-gray-200 p-3 text-center">
                            {{ prescription.quantity }}
                        </td>
                        <td class="border border-gray-200 p-3 text-center">
                            {{ prescription.expiration_date }}
                        </td>
                    </tr>
                    </tbody>
                </table>
                <div class="flex justify-between">
                    <div>
                        <a :href="prescriptions.prev_page_url">PREV</a>
                    </div>
                    <div>
                        <a :href="prescriptions.next_page_url">NEXT</a>
                    </div>
                </div>
            </template>

        </BreezeAuthenticatedLayout>
    </div>
</template>

<script setup>
import { defineProps } from "vue";
import BreezeAuthenticatedLayout from "../Layouts/Authenticated.vue";
import { Head } from "@inertiajs/inertia-vue3";
import Table from "../Components/Table";

const props = defineProps({ prescriptions: Object });
const tableHead = ["Name", "Quantity", "Expiration Date"];
</script>
